Page MenuHomePhabricator

Special:UploadWizard needs to notify globally blocked users at the beginning of the process, and provide a standard block message
Closed, ResolvedPublic

Description

Stewards have been notified of a user trying to upload to Commons using the UploadWizard and they get through the upload and data entry phases to be blocked at the submission of the process.

At that stage the error provided is non-standard / error from the api

something or another ...   (api-error-wikimedia-globalblocking-ipblocked)  ...

  • Blocking that late in the process is problematic, and really unhelpful, is it possible to identify to the user that they are blocked earlier, eg. prior to an image upload.
  • That we cannot provide a standard block message with the IP blocked is completely unuseful and unhelpful. Can we please fix the call to provide the standard block message.

Event Timeline

Billinghurst updated the task description. (Show Details)
Billinghurst raised the priority of this task from to Needs Triage.
Billinghurst added a project: UploadWizard.
Billinghurst added a subscriber: Billinghurst.
Restricted Application added a project: Multimedia. · View Herald TranscriptSep 2 2015, 12:40 PM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald Transcript

Change 235517 had a related patch set uploaded (by Bartosz Dziewoński):
Check for global blocks in addition to regular ones before showing the wizard

https://gerrit.wikimedia.org/r/235517

I added the blocking task purposefully for stewards.

Billinghurst added a blocking task: T43492: Steward, global sysop and SWMT tasks bugs (tracking).

This is wrong. It should be the other way round. I removed it to add it the blocked by list at the other task but it looks like Phabricator is - well - just freezing after submission.

It finally worked. I don't know why that was happening but it has happened a few times previously also when editing T43492's blocked by list. Maybe because it has lots of blocked by tasks?

Jdforrester-WMF triaged this task as Normal priority.Sep 4 2015, 6:48 PM
Jdforrester-WMF moved this task from Untriaged to Doing on the Multimedia board.Sep 4 2015, 6:57 PM

Change 235517 merged by jenkins-bot:
Check for global blocks in addition to regular ones before showing the wizard

https://gerrit.wikimedia.org/r/235517

Jdforrester-WMF closed this task as Resolved.
Denniss removed a subscriber: Denniss.Jan 11 2017, 11:35 PM